from appium import webdriver
import unittest
from Charles.maidianRedis import redis_gm
import time
class appiumConfig(unittest.TestCase):

    def setUp(self):
        #初始化开始操作前 删除本地的redis信息
        redis_gm.delete("maidian")

        desired_caps = {}
        desired_caps['platformName'] = 'Android'
        # 测试的手机操作系统
        desired_caps['platformVersion'] = '10'
        # 手机操作系统版本
        desired_caps['deviceName'] = 'CTN0220321018400'

        # 手机类型或模拟器类型（通过adbdevices查看）
        desired_caps['appPackage'] = 'com.wanmeizhensuo.zhensuo'
        # 包名（都通过adb shell dumpsys  package | grep wanmeizhensuo 来查看包的地址。）
        desired_caps['appActivity'] = '.module.MainActivity'
        # activity名  这个你需要通过上面的命令看
        desired_caps['noReset'] = True
        # 不重新进行签名

        # 打印出来抓去元素那个工具 所需要的配置项
        import json
        print(json.dumps(desired_caps,indent=2))

        self.driver = webdriver.Remote('http://localhost:4723/wd/hub', desired_caps)
        return self.driver



    def tearDown(self):
        time.sleep(3)
        print("tearDown")
        self.driver.quit()


